dag_irigb(1)

NAME
dag_irigb - Endace DAG card IRIG-B time reader

SYNOPSIS
dag_irigb [options]

DESCRIPTION
dag_irigb is used to synchronise the host system clock with an external IRIG-B time device. This tool reads IRIG-B data from the external device and decodes time information. It reads IRIG-B time and displays it to user. Optionally, the user can use this information to set host system clock time. If the IRIG-B device uses time standard different to the host sytem clock one then you can specify the delta value between these. This tool can also be run in daemon mode as an NTP reference clock via the ntpd shared memory driver. The IRIG-B or DUCK time can be used as the reference clock.

OPTIONS

-?,--usage

-h,--help
    display help (this page)

-V,--version
    display version information

-v,--verbose
    increase verbosity

-d,--device <device>
    DAG device to use.

-t,--host
    year information provided by host (default)

-i,--irigb
    year information provided by IRIG-B

-m,--daemon
    fork into background, run as daemon in Linux and update NTP shared memory unit

-s,--set
    set host time to IRIG-B time

-b,--sec <delta>
    set the difference between UTC and the IRIG-B device time in second.

-r,--hour <delta_hour>
    set the difference between UTC and the IRIG-B device time in hours.

-u,--ntp-shm-unit <shm_unit>
    ntp shared memory-segment unit(0 - 3)to use

-D,--duck
    use DUCK time as the ntp shared memory reference clock(default is IRIG-B time)

EXAMPLES
Displays host system clock time and IRIG-B device time:
    dag_irigb -d0

Synchronise host system clock time using the data from the IRIG-B device:
    dag_irigb -d0 -s

Specify the delta value between host system clock and the IRIG-B device in second:
    dag_irigb -d0 -b 2

Run as a daemon to read the IRIG-B time and write to NTP shared memory unit 2.
    dag_irigb -d0 -m -u 2 Note: For the above command to work, the nptd has to be configured to read the SHM updates. Here is a sample ntp.conf stanza. server 127.127.28.2
    fudge 127.127.28.2 refid SHM

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: jomi.gregory $
$Revision: 13292 $
$Date: 2010-10-07 11:30:36 +1300 (Thu, 07 Oct 2010) $

COPYRIGHT
(c) 2004-2009 Endace Technology, Hamilton, New Zealand. All Rights Reserved.